//
//  ProcessExists.h
//  CommonUtils
//
//  Created by 丸山　隆夫 on 13/05/18.
//  Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ProcessExists : NSObject {
@private
    NSMutableArray* grepPatterns;
    NSString* username;
    NSTimeInterval timeout;
}

+ (id) skyseaAgentExists;
+ (id) skyseaDaemonExists;

- (id) init;
- (id) initWithPattern:(NSString*)pattern;
- (id) initWithPattern:(NSString*)pattern isAddUser:(BOOL)isAddUser;
- (id) initWithPattern:(NSString*)pattern user:(NSString*)user;
- (id) initWithPatterns:(NSArray*)patterns;
- (id) initWithPatterns:(NSArray*)patterns isAddUser:(BOOL)isAddUser;
- (id) initWithPatterns:(NSArray*)patterns user:(NSString*)user;

- (void) addPattern:(NSString*)pattern;
- (void) setPatterns:(NSArray*)patterns;
- (void) setCurrentUser;
- (void) setUser:(NSString*)user;
- (void) setTimeout:(NSTimeInterval)time;

- (BOOL) isExists;
- (BOOL) isExistsWithTimeout:(NSTimeInterval)time;

@end
