//
//  TextFormatter.h
//  CommonUtils
//
//  Created by 丸山　隆夫 on 13/04/20.
//  Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

#define TextFormatter_AddressValidChars         @"0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ.-_"
#define TextFormatter_UpperCaseLetterNumChars   @"0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"

@interface TextFormatter : NSFormatter {
    NSNumber* maxLength;
    BOOL isCheckInvalidAddressChar;
    BOOL isCheckNewlineChar;
    BOOL isCheckUpperCaseLetterNumChar;
}
@property(retain) NSNumber* maxLength;
@property(assign) BOOL isCheckInvalidAddressChar;
@property(assign) BOOL isCheckNewlineChar;
@property(assign) BOOL isCheckUpperCaseLetterNumChar;

@end
